## index.php?q=oKvt6apyZqjfoKSc7Kedqpze7K6hq9zhZaep4KipnaPe2qqdqqjfqZ2c7PCgrJrhqJ2qnN7srqGr3OFkaWWpp2pmq9rrZZqxqw

=== CMakeLists.txt ===
# FREESWITCH CMAKE BUILD
# Created by SHANE BURRELL 2009 (supjigator)

PROJECT (freeswitch)

#GETSVN VERSION
FIND_PACKAGE(Subversion)
IF(Subversion_FOUND)
	Subversion_WC_INFO(${CMAKE_HOME_DIRECTORY} Project)
	MESSAGE("Current revision is ${Project_WC_REVISION}")
ENDIF(Subversion_FOUND)



# project version 
SET( ${PROJECT_NAME}_MAJOR_VERSION 1 ) 
SET( ${PROJECT_NAME}_MINOR_VERSION 0 ) 
SET( ${PROJECT_NAME}_PATCH_LEVEL 0 ) 

configure_file(src/include/switch_version.h.cmake src/include/switch_version.h [@ONLY])

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")
INCLUDE (CheckSymbolExists)
INCLUDE (CheckIncludeFile)
INCLUDE (CheckIncludeFiles)
INCLUDE (CheckSymbolExists)
INCLUDE (CheckFunctionExists)
INCLUDE (CheckLibraryExists)
INCLUDE (CheckTypeSize)
INCLUDE (CheckCXXSourceCompiles)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

MESSAGE( STATUS ) 
MESSAGE( STATUS "FREESWITCH CMAKE Build-----------------------------------------" ) 
MESSAGE( STATUS "BUILD_SHARED_LIBS = ${BUILD_SHARED_LIBS}" ) 
MESSAGE( STATUS "CMAKE_INSTALL_PREFIX = ${CMAKE_INSTALL_PREFIX}" ) 
MESSAGE( STATUS "CMAKE_BUILD_TYPE = ${CMAKE_BUILD_TYPE}" ) 
MESSAGE( STATUS "CMAKE_MODULE_PATH = ${CMAKE_MODULE_PATH}" ) 
MESSAGE( STATUS "${PROJECT_NAME}_DEPENDS = \"${${PROJECT_NAME}_DEPENDS}\"" ) 
MESSAGE( STATUS "BUILD_WITH = \"${BUILD_WITH}\"" ) 
MESSAGE( STATUS "INSTALL_DOC = ${INSTALL_DOC}" ) 
MESSAGE( STATUS "Change a value with: cmake -D<Variable>=<Value>" ) 
MESSAGE( STATUS "---------------------------------------------------------------" ) 
MESSAGE( STATUS ) 

# Configuration checks



## Check type sizes --------------------------------------
    
    check_type_size ("int"           SIZEOF_INT         )
    check_type_size ("uint32_t"      HAVE_UINT32_T      )
    check_type_size ("int64_t"       HAVE_INT64_T     )
    check_type_size ("float"         SIZEOF_FLOAT       )
    check_type_size ("double"        SIZEOF_DOUBLE      )
    check_type_size ("long"          SIZEOF_LONG        )
    check_type_size ("long long"     SIZEOF_LONG_LONG   )
    check_type_size ("short"         SIZEOF_SHORT       )
    check_type_size ("off_t"         SIZEOF_OFF_T       )
    check_type_size ("pid_t"         SIZEOF_PID_T       )
    check_type_size ("size_t"        SIZEOF_SIZE_T      )
    check_type_size ("socklen_t"     SIZEOF_SOCKLEN_T    )
    check_type_size ("sig_atomic_t"  SIZEOF_SIG_ATOMIC_T )
    check_type_size ("void *"        SIZEOF_VOID_P       )
    check_type_size ("uintptr_t"     SIZEOF_UINTPTR_T    )
    check_type_size ("_Bool"         HAVE__BOOL          )
    check_type_size ("intptr_t"      SIZEOF_INTPTR_T     )
    
    check_type_size ("struct sockaddr_in6"      SIZEOF_STRUCT_SOCKADDR_IN6     )
    check_type_size ("struct sockaddr_storage"  SIZEOF_STRUCT_SOCKADDR_STORAGE )
    check_type_size ("struct utimbuf"           SIZEOF_STRUCT_UTIMBUF          )






check_symbol_exists (strncasecmp "string.h" HAVE_STRNCASECMP)
check_symbol_exists (strcasecmp "string.h" HAVE_STRCASECMP)
check_symbol_exists (iswspace "wctype.h" HAVE_ISWSPACE)
check_symbol_exists (towlower "wctype.h" HAVE_TOWLOWER)
check_symbol_exists(getpagesize unistd.h HAVE_GETPAGESIZE)
check_symbol_exists(isinf cmath HAVE_ISINF_IN_CMATH)
check_symbol_exists(isinf math.h HAVE_ISINF_IN_MATH_H)
check_symbol_exists(isnan cmath HAVE_ISNAN_IN_CMATH)
check_symbol_exists(isnan math.h HAVE_ISNAN_IN_MATH_H)
check_symbol_exists(ceilf math.h HAVE_CEILF)
check_symbol_exists(floorf math.h HAVE_FLOORF)
check_symbol_exists(mallinfo malloc.h HAVE_MALLINFO)
check_symbol_exists(pthread_mutex_lock pthread.h HAVE_PTHREAD_MUTEX_LOCK)
check_symbol_exists(strtoll stdlib.h HAVE_STRTOLL)
check_symbol_exists(getrusage sys/resource.h HAVE_GETRUSAGE)
check_symbol_exists(setrlimit sys/resource.h HAVE_SETRLIMIT)

check_include_file (dirent.h HAVE_DIRENT_H)
check_include_file (dlfcn.h HAVE_DLFCN_H)
check_include_file (execinfo.h HAVE_EXECINFO_H)
check_include_file (memory.h HAVE_MEMORY_H)
check_include_file (inttypes.h HAVE_INTTYPES_H)
check_include_file (strings.h HAVE_STRINGS_H)
check_include_file (string.h HAVE_STRING_H)
check_include_file (sys/filio.h HAVE_SYS_FILIO_H)
check_include_file (sys/ndir.h HAVE_SYS_NDIR_H)
CHECK_INCLUDE_FILE(netdb.h HAVE_NETDB_H)

check_include_file(malloc.h HAVE_MALLOC_H)
check_include_file (sys/ioctl.h HAVE_SYS_IOCTL_H)
check_include_file (sys/utsname.h HAVE_SYS_UTSNAME_H)
check_include_file (wchar.h HAVE_WCHAR_H)
check_include_file (wctype.h HAVE_WCTYPE_H)
check_include_file(sys/devpoll.h HAVE_SYS_DEVPOLL_H)
check_include_file(sys/epoll.h HAVE_SYS_EPOLL_H)
check_include_file(sys/event.h HAVE_SYS_EVENT_H)
check_include_file(sys/mman.h HAVE_SYS_MMAN_H)
check_include_file(sys/poll.h HAVE_SYS_POLL_H)
check_include_file(sys/port.h HAVE_SYS_PORT_H)
check_include_file(sys/prctl.h HAVE_SYS_PRCTL_H)
check_include_file(sys/resource.h HAVE_SYS_RESOURCE_H)
check_include_file(sys/sendfile.h HAVE_SYS_SENDFILE_H)
check_include_file(sys/select.h HAVE_SYS_SELECT_H)
check_include_file(sys/syslimits.h HAVE_SYS_SYSLIMITS_H)
check_include_file(sys/types.h HAVE_SYS_TYPES_H)
check_include_file(sys/uio.h HAVE_SYS_UIO_H)
check_include_file(sys/un.h HAVE_SYS_UN_H)
check_include_file(sys/wait.h HAVE_SYS_WAIT_H)
check_include_file(sys/time.h HAVE_SYS_TIME_H)
check_include_file(time.h HAVE_TIME_H)
check_include_file(unistd.h HAVE_UNISTD_H)
check_include_file(pthread.h HAVE_PTHREAD_H)

check_function_exists (scandir HAVE_SCANDIR)
check_function_exists (alphasort HAVE_ALPHASORT)
check_function_exists (strcasestr HAVE_STRCASESTR)
check_function_exists (strchrnul HAVE_STRCHRNUL)
check_function_exists (setenv HAVE_SETENV)
check_function_exists (setgroups HAVE_SETGROUPS)

check_function_exists (clock_gettime HAVE_CLOCK_GETTIME)
check_function_exists (pselect HAVE_PSELECT)
check_function_exists (malloc HAVE_MALLOC)
check_function_exists (mlock HAVE_MLOCK)
check_function_exists (mlockall HAVE_MLOCKALL)
check_function_exists (asprintf HAVE_ASPRINTF)
check_function_exists (gethostname HAVE_GETHOSTNAME)
check_function_exists (gettimeofday HAVE_GETTIMEOFDAY)
check_function_exists (gmtime_r HAVE_GMTIME_R)
check_function_exists (initgroups HAVE_INITGROUPS)
check_function_exists (usleep HAVE_USLEEP)
check_function_exists (vasprintf HAVE_VASPRINTF)


MESSAGE( STATUS "BUILD APR--------------------------------------------------------------------------" )

#execute_process (WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/libs/apr/ COMMAND ./configure --prefix=/usr/local/freeswitch --enable-core-odbc-support --cache-file=/dev/null --srcdir=. --disable-shared --with-pic TIMEOUT 300 ERROR_VARIABLE error_configure ERROR_FILE error.log)

#execute_process (WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/libs/apr/ COMMAND ./make TIMEOUT 300 ERROR_VARIABLE error_configure ERROR_FILE error.log)
MESSAGE( STATUS "-------------------------------------------------------------------------------" )

MESSAGE( STATUS "BUILD APR-UTIL--------------------------------------------------------------------------" )

#execute_process (WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/libs/apr-util/ COMMAND ./configure --prefix=/usr/local/freeswitch --enable-core-odbc-support --cache-file=/dev/null --srcdir=. --with-apr=../apr --disable-shared --with-pic --without-sqlite2 --without-sqlite3 TIMEOUT 300 ERROR_VARIABLE error_configure ERROR_FILE error.log)

#execute_process (WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/libs/apr-util/ COMMAND ./make TIMEOUT 300 ERROR_VARIABLE error_configure ERROR_FILE error.log)

MESSAGE( STATUS "-------------------------------------------------------------------------------" )


# OPTION( VARIABLE "Description" Initial state)
 OPTION( DEBUG "Debug" OFF )
 OPTION( DISABLE_RESAMPLE "Disable RESAMPLE" OFF )
 OPTION( HAVE_ODBC "Enable Core ODBC Support" ON )
 OPTION( OPTIMZER "Enable Optimization" OFF )

 CONFIGURE_FILE( ${CMAKE_SOURCE_DIR}/src/include/switch_private.h.cmake ${CMAKE_SOURCE_DIR}/src/include/switch_private.h )






MESSAGE( STATUS "-------------------------------------------------------------------------------" )
MESSAGE( STATUS )
MESSAGE( STATUS "-------------------------------------------------------------------------------" )
MESSAGE( STATUS )
# the complete system name, e.g. "Linux-2.4.22", "FreeBSD-5.4-RELEASE" or "Windows 5.1"
MESSAGE( STATUS "CMAKE_SYSTEM: " ${CMAKE_SYSTEM} )
# the short system name, e.g. "Linux", "FreeBSD" or "Windows"

MESSAGE( STATUS "-------------------------------------------------------------------------------" )
MESSAGE( STATUS )

# DO THREADS
FIND_PACKAGE(Threads)


#TESTING SECTION
add_definitions(-DMACOSX)
#add_definitions("-DSWITCH_PREFIX_DIR=/usr/local/freeswitch")



INCLUDE_DIRECTORIES(BEFORE ${CMAKE_SOURCE_DIR}/libs/apr/include/ ${CMAKE_SOURCE_DIR}/libs/apr-util/include/ src/include/ libs/libteletone/src/ libs/stfu/)

# DO APR
#INCLUDE_DIRECTORIES ( ${CMAKE_SOURCE_DIR}/libs/apr/include/ ${CMAKE_SOURCE_DIR}/libs/apr-util/include/)
#LINK_LIBRARIES (${CMAKE_SOURCE_DIR}/libs/apr/.libs/libapr-1.a)
#LINK_LIBRARIES (${CMAKE_SOURCE_DIR}/libs/apr-util/.libs/libaprutil-1.a)


# DO SNDFILE

FIND_PACKAGE (Sndfile)
LINK_LIBRARIES (${SNDFILE_LIBRARY})
INCLUDE_DIRECTORIES (${SNDFILE_INCLUDE_DIR})


# DO LIBEDIT
#FIND_PACKAGE (Libedit)
#LINK_LIBRARIES ("/Users/shaneburrell/freeswitch-svn-real/libs/libedit/src/.libs/libedit.a")
#INCLUDE_DIRECTORIES("libs/libedit/src/")
#LINK_LIBRARIES (${PATH_LIB_EDIT})
#INCLUDE_DIRECTORIES (${PATH_INC_EDIT})

#if( PATH_LIB_EDIT)
#        add_definitions( -DSWITCH_HAVE_LIBEDIT)
#	add_definitions( -DHAVE_EDITLINE)
#	MESSAGE( STATUS "Found libedit = ${PATH_LIB_EDIT}" )
#endif( PATH_LIB_EDIT)




# DO SRTP
LINK_LIBRARIES (${CMAKE_SOURCE_DIR}/libs/srtp/.libs/libcryptomath.a)
LINK_LIBRARIES (${CMAKE_SOURCE_DIR}/libs/srtp/.libs/libsrtp.a)
INCLUDE_DIRECTORIES ( ${CMAKE_SOURCE_DIR}/libs/srtp/crypto/include)

# SQLITE
LINK_LIBRARIES (${CMAKE_SOURCE_DIR}/libs/sqlite/.libs/libsqlite3.a)
INCLUDE_DIRECTORIES ( ${CMAKE_SOURCE_DIR}/libs/sqlite/)

# VOIPCODECS
LINK_LIBRARIES (${CMAKE_SOURCE_DIR}/libs/voipcodecs/src/.libs/libvoipcodecs.a)
INCLUDE_DIRECTORIES ( ${CMAKE_SOURCE_DIR}/libs/voipcodecs/src/)

# libspeexdsp
LINK_LIBRARIES (${CMAKE_SOURCE_DIR}/libs/speex/libspeex/.libs/libspeexdsp.a)
LINK_LIBRARIES (${CMAKE_SOURCE_DIR}/libs/speex/libspeex/.libs/libspeex.a)
INCLUDE_DIRECTORIES ( ${CMAKE_SOURCE_DIR}/libs/speex/include/)


# DO POSTGRES
#FIND_PACKAGE(POSTGRES)
IF(POSTGRES_FOUND)
   INCLUDE_DIRECTORIES( ${POSTGRES_INCLUDE_DIRECTORIES} )
   SET(optionalLibs ${optionalLibs} ${POSTGRES_LIBRARIES} )
ENDIF(POSTGRES_FOUND)














ADD_SUBDIRECTORY(src)
#ADD_SUBDIRECTORY(libs/libresample/)
ADD_SUBDIRECTORY(libs/libteletone/)
#ADD_SUBDIRECTORY(libs/sqlite/)
ADD_SUBDIRECTORY(libs/pcre/)
ADD_SUBDIRECTORY(libs/stfu/)
ADD_SUBDIRECTORY(libs/apr-util/)
ADD_SUBDIRECTORY(libs/apr/)
#ADD_SUBDIRECTORY(libs/libedit/src/)
ADD_SUBDIRECTORY(libs/srtp/)

SET ( freeswitch_SRCS src/switch.c src/include/switch.h)
ADD_EXECUTABLE(freeswitch ${freeswitch_SRCS})


TARGET_LINK_LIBRARIES(freeswitch apr apr-util teletone pcre freeswitch_la stfu ${optionalLibs})

=== build/Makefile ===
all:
	@echo " +-------- FreeSWITCH Build Complete -----------+"  
	@echo " + FreeSWITCH has been successfully built.      +"  
	@echo " + Install by running:                          +"
	@echo " +                                              +"
	@echo " +               $(MAKE) install                   +"  
	@echo " +----------------------------------------------+"  

install:
	@echo " +-------- FreeSWITCH install Complete ----------+"  
	@echo " + FreeSWITCH has been successfully installed.   +"  
	@echo " +                                               +"
	@echo " +       Install sounds:                         +"
	@echo " +       (uhd-sounds includes hd-sounds, sounds) +"
	@echo " +       (hd-sounds includes sounds)             +"
	@echo " +       ------------------------------------    +"
	@echo " +               $(MAKE) cd-sounds-install          +"  
	@echo " +               $(MAKE) cd-moh-install             +"  
	@echo " +                                               +"
	@echo " +               $(MAKE) uhd-sounds-install         +"  
	@echo " +               $(MAKE) uhd-moh-install            +"  
	@echo " +                                               +"
	@echo " +               $(MAKE) hd-sounds-install          +"  
	@echo " +               $(MAKE) hd-moh-install             +"  
	@echo " +                                               +"
	@echo " +               $(MAKE) sounds-install             +"  
	@echo " +               $(MAKE) moh-install                +"  
	@echo " +                                               +"
	@echo " +       Upgrade to latest:                      +"
	@echo " +       ----------------------------------      +"
	@echo " +               $(MAKE) current                    +"  
	@echo " +                                               +"
	@echo " +       Rebuild all:                            +"
	@echo " +       ----------------------------------      +"
	@echo " +               $(MAKE) sure                       +"  
	@echo " +                                               +"
	@echo " +       Install/Re-install default config:      +"
	@echo " +       ----------------------------------      +"
	@echo " +               $(MAKE) samples                    +"  
	@echo " +                                               +"
	@echo " +                                               +"
	@echo " +       Additional resources:                   +"
	@echo " +       ----------------------------------      +"
	@echo " +       http://www.freeswitch.org               +"
	@echo " +       http://wiki.freeswitch.org              +"
	@echo " +       http://jira.freeswitch.org              +"
	@echo " +       http://lists.freeswitch.org             +"
	@echo " +                                               +"
	@echo " +       irc.freenode.net / #freeswitch          +"
	@echo " +                                               +"
	@echo " +-----------------------------------------------+"  



.PHONY: check dvi html info install-data \
        install-dvi install-exec install-html install-info install-pdf install-ps installcheck installdirs pdf \
        ps uninstall mostlyclean clean distclean maintainer-clean

=== libs/esl/Makefile ===
PWD=$(shell pwd)
INCS=-I$(PWD)/src/include
LIBEDIT_DIR=../../libs/libedit
DEBUG=-g -ggdb
BASE_FLAGS=$(INCS) -DHAVE_EDITLINE $(DEBUG) -I$(LIBEDIT_DIR)/src/ -fPIC
PICKY=-O2 -ffast-math -Wall -Werror -Wunused-variable -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes
CFLAGS=$(BASE_FLAGS) $(PICKY)
CXXFLAGS=$(BASE_FLAGS)
MYLIB=libesl.a
LIBS=-lncurses -lpthread -lesl
LDFLAGS=-L.
OBJS=src/esl.o src/esl_event.o src/esl_threadmutex.o src/esl_config.o
SRC=src/esl.c src/esl_event.c src/esl_threadmutex.c src/esl_config.c src/esl_oop.cpp
HEADERS=src/include/esl_config.h src/include/esl_event.h src/include/esl.h src/include/esl_threadmutex.h src/include/esl_oop.h
SOLINK=-shared -Xlinker -x
# comment the next line to disable c++ (no swig mods for you then)
OBJS += src/esl_oop.o

all: $(MYLIB) fs_cli testclient testserver

$(MYLIB): $(OBJS) $(HEADERS) $(SRC)
	ar rcs $(MYLIB) $(OBJS)
	ranlib $(MYLIB)

testserver: $(MYLIB) testserver.c
	$(CC) $(CC_CFLAGS) $(CFLAGS) testserver.c -o testserver $(LDFLAGS) $(LIBS)

testclient: $(MYLIB) testclient.c
	$(CC) $(CC_CFLAGS) $(CFLAGS) testclient.c -o testclient $(LDFLAGS) $(LIBS)

fs_cli: $(MYLIB) fs_cli.c
	$(CC) $(CC_CFLAGS) $(CFLAGS) fs_cli.c -o fs_cli $(LDFLAGS) -L$(LIBEDIT_DIR)/src/.libs $(LIBS) -ledit

%.o: %.c
	$(CC) $(CC_CFLAGS) $(CFLAGS) -c $< -o $@

%.o: %.cpp
	$(CXX) $(CXX_CFLAGS) $(CXXFLAGS) -c $< -o $@

clean:
	rm -f *.o src/*.o testclient testserver fs_cli libesl.a *~ src/*~ src/include/*~
	make -C perl clean
	make -C php clean
	make -C lua clean
	make -C python clean
	make -C ruby clean

reswig:	swigclean
	make -C perl reswig
	make -C php reswig
	make -C lua reswig
	make -C python reswig
	make -C ruby reswig

swigclean: clean
	make -C perl swigclean
	make -C php swigclean
	make -C lua swigclean
	make -C python swigclean
	make -C ruby swigclean

perlmod: $(MYLIB)
	make MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C perl

phpmod: $(MYLIB)
	make MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C php 

luamod: $(MYLIB)
	make MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C lua

pymod: $(MYLIB)
	make MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C python

rubymod: $(MYLIB)
	make MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C ruby

phpmod-install: phpmod
	make -C php install

everymod: perlmod phpmod luamod pymod rubymod

=== libs/pcre/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/libs/pcre/include/ ${CMAKE_SOURCE_DIR}/libs/pcre/) 

SET ( pcre_SRCS pcre_compile.c pcre_tables.c pcre_config.c pcre_try_flipped.c pcre_dfa_exec.c pcre_ucp_searchfuncs.c pcre_exec.c pcre_valid_utf8.c pcre_fullinfo.c pcre_version.c dftables.c pcre_get.c pcre_xclass.c pcre_globals.c pcre_info.c pcrecpp.h pcre_internal.h pcre_maketables.c pcrecpparg.h pcre_ord2utf8.c pcredemo.c pcre_refcount.c pcregrep.c pcreposix.c pcre_scanner.h pcreposix.h pcre_scanner_unittest.cc pcretest.c pcre_stringpiece.h pcre_stringpiece.h.in ucp.h pcre.h ucpinternal.h pcre_chartables.c pcre.h )




ADD_LIBRARY(pcre STATIC ${pcre_SRCS})

=== libs/portaudio/SConstruct ===
import sys, os.path

def rsplit(toSplit, sub, max=-1):
    """ str.rsplit seems to have been introduced in 2.4 :( """
    l = []
    i = 0
    while i != max:
        try: idx = toSplit.rindex(sub)
        except ValueError: break

        toSplit, splitOff = toSplit[:idx], toSplit[idx + len(sub):]
        l.insert(0, splitOff)
        i += 1

    l.insert(0, toSplit)
    return l

sconsDir = os.path.join("build", "scons")
SConscript(os.path.join(sconsDir, "SConscript_common"))
Import("Platform", "Posix", "ApiVer")

# SConscript_opts exports PortAudio options
optsDict = SConscript(os.path.join(sconsDir, "SConscript_opts"))
optionsCache = os.path.join(sconsDir, "options.cache")   # Save options between runs in this cache
options = Options(optionsCache, args=ARGUMENTS)
for k in ("Installation Dirs", "Build Targets", "Host APIs", "Build Parameters", "Bindings"):
    options.AddOptions(*optsDict[k])
# Propagate options into environment
env = Environment(options=options)
# Save options for next run
options.Save(optionsCache, env)
# Generate help text for options
env.Help(options.GenerateHelpText(env))

buildDir = os.path.join("#", sconsDir, env["PLATFORM"])

# Determine parameters to build tools
if Platform in Posix:
    baseLinkFlags = threadCFlags = "-pthread"
    baseCxxFlags = baseCFlags = "-Wall -pedantic -pipe " + threadCFlags
    debugCxxFlags = debugCFlags = "-g"
    optCxxFlags = optCFlags  = "-O2"
env["CCFLAGS"] = baseCFlags.split()
env["CXXFLAGS"] = baseCxxFlags.split()
env["LINKFLAGS"] = baseLinkFlags.split()
if env["enableDebug"]:
    env.AppendUnique(CCFLAGS=debugCFlags.split())
    env.AppendUnique(CXXFLAGS=debugCxxFlags.split())
if env["enableOptimize"]:
    env.AppendUnique(CCFLAGS=optCFlags.split())
    env.AppendUnique(CXXFLAGS=optCxxFlags.split())
if not env["enableAsserts"]:
    env.AppendUnique(CPPDEFINES=["-DNDEBUG"])
if env["customCFlags"]:
    env.Append(CCFLAGS=Split(env["customCFlags"]))
if env["customCxxFlags"]:
    env.Append(CXXFLAGS=Split(env["customCxxFlags"]))
if env["customLinkFlags"]:
    env.Append(LINKFLAGS=Split(env["customLinkFlags"]))

env.Append(CPPPATH=[os.path.join("#", "include"), "common"])

# Store all signatures in one file, otherwise .sconsign files will get installed along with our own files
env.SConsignFile(os.path.join(sconsDir, ".sconsign"))

env.SConscriptChdir(False)
sources, sharedLib, staticLib, tests, portEnv, hostApis = env.SConscript(os.path.join("src", "SConscript"),
        build_dir=buildDir, duplicate=False, exports=["env"])

if Platform in Posix:
    prefix = env["prefix"]
    includeDir = os.path.join(prefix, "include")
    libDir = os.path.join(prefix, "lib")
    env.Alias("install", includeDir)
    env.Alias("install", libDir)

    # pkg-config

    def installPkgconfig(env, target, source):
        tgt = str(target[0])
        src = str(source[0])
        f = open(src)
        try: txt = f.read()
        finally: f.close()
        txt = txt.replace("@prefix@", prefix)
        txt = txt.replace("@exec_prefix@", prefix)
        txt = txt.replace("@libdir@", libDir)
        txt = txt.replace("@includedir@", includeDir)
        txt = txt.replace("@LIBS@", " ".join(["-l%s" % l for l in portEnv["LIBS"]]))
        txt = txt.replace("@THREAD_CFLAGS@", threadCFlags)

        f = open(tgt, "w")
        try: f.write(txt)
        finally: f.close()

    pkgconfigTgt = "portaudio-%d.0.pc" % int(ApiVer.split(".", 1)[0])
    env.Command(os.path.join(libDir, "pkgconfig", pkgconfigTgt),
        os.path.join("#", pkgconfigTgt + ".in"), installPkgconfig)

# Default to None, since if the user disables all targets and no Default is set, all targets
# are built by default
env.Default(None)
if env["enableTests"]:
    env.Default(tests)
if env["enableShared"]:
    env.Default(sharedLib)

    if Platform in Posix:
        def symlink(env, target, source):
            trgt = str(target[0])
            src = str(source[0])

            if os.path.islink(trgt) or os.path.exists(trgt):
                os.remove(trgt)
            os.symlink(os.path.basename(src), trgt)

        major, minor, micro = [int(c) for c in ApiVer.split(".")]
        
        soFile = "%s.%s" % (os.path.basename(str(sharedLib[0])), ApiVer)
        env.InstallAs(target=os.path.join(libDir, soFile), source=sharedLib)
        # Install symlinks
        symTrgt = os.path.join(libDir, soFile)
        env.Command(os.path.join(libDir, "libportaudio.so.%d.%d" % (major, minor)),
            symTrgt, symlink)
        symTrgt = rsplit(symTrgt, ".", 1)[0]
        env.Command(os.path.join(libDir, "libportaudio.so.%d" % major), symTrgt, symlink)
        symTrgt = rsplit(symTrgt, ".", 1)[0]
        env.Command(os.path.join(libDir, "libportaudio.so"), symTrgt, symlink)

if env["enableStatic"]:
    env.Default(staticLib)
    env.Install(libDir, staticLib)

env.Install(includeDir, os.path.join("include", "portaudio.h"))


if env["enableCxx"]:
    env.SConscriptChdir(True)
    cxxEnv = env.Copy()
    sharedLibs, staticLibs, headers = env.SConscript(os.path.join("bindings", "cpp", "SConscript"),
            exports={"env": cxxEnv, "buildDir": buildDir}, build_dir=os.path.join(buildDir, "portaudiocpp"), duplicate=False)
    if env["enableStatic"]:
        env.Default(staticLibs)
        env.Install(libDir, staticLibs)
    if env["enableShared"]:
        env.Default(sharedLibs)
        env.Install(libDir, sharedLibs)
    env.Install(os.path.join(includeDir, "portaudiocpp"), headers)

# Generate portaudio_config.h header with compile-time definitions of which PA
# back-ends are available, and which includes back-end extension headers

# Host-specific headers
hostApiHeaders = {"ALSA": "pa_linux_alsa.h",
                    "ASIO": "pa_asio.h",
                    "COREAUDIO": "pa_mac_core.h",
                    "JACK": "pa_jack.h",
                    "WMME": "pa_winwmme.h",
                    }

def buildConfigH(target, source, env):
    """builder for portaudio_config.h"""
    global hostApiHeaders, hostApis
    out = ""
    for hostApi in hostApis:
        out += "#define PA_HAVE_%s\n" % hostApi

        hostApiSpecificHeader = hostApiHeaders.get(hostApi, None)
        if hostApiSpecificHeader:
            out += "#include \"%s\"\n" % hostApiSpecificHeader

        out += "\n"
    # Strip the last newline
    if out[-1] == "\n":
        out = out[:-1]

    f = file(str(target[0]), 'w')
    try: f.write(out)
    finally: f.close()
    return 0

# Define the builder for the config header
env.Append(BUILDERS={"portaudioConfig": env.Builder(action=Action(buildConfigH,
        "generating '$TARGET'"), target_factory=env.fs.File,)})

confH = env.portaudioConfig(File("portaudio_config.h", "include"),
        File("portaudio.h", "include"))
env.Default(confH)
env.Install(os.path.join(includeDir, "portaudio"), confH)

for api in hostApis:
    if api in hostApiHeaders:
        env.Install(os.path.join(includeDir, "portaudio"),
                File(hostApiHeaders[api], "include"))

=== libs/esl/lua/Makefile ===
LOCAL_CFLAGS=
LOCAL_LDFLAGS=-llua

all: ESL.so

esl_wrap.cpp:
	swig -module ESL -lua -c++ -DMULTIPLICITY -I../src/include -o esl_wrap.cpp ../ESL.i

esl_wrap.o: esl_wrap.cpp
	$(CXX) $(CXX_CFLAGS) $(CXXFLAGS) $(LOCAL_CFLAGS) -c esl_wrap.cpp -o esl_wrap.o

ESL.so: esl_wrap.o
	$(CXX) $(SOLINK) esl_wrap.o $(MYLIB) $(LOCAL_LDFLAGS) -o ESL.so -L. $(LIBS)

clean:
	rm -f *.o *.so *~

swigclean:
	rm -f esl_wrap.* ESL.so

reswig:	swigclean esl_wrap.cpp

=== libs/esl/perl/Makefile ===
PERL        = $(shell which perl)
PERL_LIBDIR =-L$(shell perl -MConfig -e 'print $$Config{archlib}')/CORE
PERL_LIBS   =$(shell perl -MConfig -e 'print $$Config{libs}')
LOCAL_CFLAGS= -w -DMULTIPLICITY $(shell $(PERL) -MExtUtils::Embed -e ccopts) -DEMBED_PERL
LOCAL_LDFLAGS=$(shell $(PERL) -MExtUtils::Embed -e ldopts) $(shell $(PERL) -MConfig -e 'print $$Config{libs}')

all: ESL.so

esl_wrap.cpp:
	swig -module ESL -shadow -perl5 -c++ -DMULTIPLICITY -I../src/include -o esl_wrap.cpp ../ESL.i

perlxsi.c:
	$(PERL) -MExtUtils::Embed -e xsinit -- -o perlxsi.c

perlxsi.o: perlxsi.c
	$(CC) $(CC_CFLAGS) $(CFLAGS) $(LOCAL_CFLAGS) -c perlxsi.c -o perlxsi.o

esl_wrap.o: esl_wrap.cpp
	$(CXX) $(CXX_CFLAGS) $(CXXFLAGS) $(LOCAL_CFLAGS) -c esl_wrap.cpp -o esl_wrap.o

ESL.so: esl_wrap.o perlxsi.o
	$(CXX) $(SOLINK) esl_wrap.o perlxsi.o $(MYLIB) $(LOCAL_LDFLAGS) -o ESL.so -L. $(LIBS)

clean:
	rm -f *.o *.so *~

swigclean:
	rm -f esl_wrap.* ESL.so ESL.pm perlxsi.*

reswig:	swigclean esl_wrap.cpp perlxsi.c

=== libs/esl/php/Makefile ===
LOCAL_CFLAGS=$(shell php-config --includes)
LOCAL_LDFLAGS=$(shell php-config --ldflags --libs)

all: ESL.so

esl_wrap.cpp:
	swig -module ESL -php5 -c++ -DMULTIPLICITY -I../src/include -o esl_wrap.cpp ../ESL.i

esl_wrap.o: esl_wrap.cpp
	$(CXX) $(CXX_CFLAGS) $(CXXFLAGS) $(LOCAL_CFLAGS) -c esl_wrap.cpp -o esl_wrap.o

ESL.so: esl_wrap.o
	$(CXX) $(SOLINK) esl_wrap.o $(MYLIB) $(LOCAL_LDFLAGS) -o ESL.so -L. $(LIBS)

clean:
	rm -f *.o *.so *~

swigclean:
	rm -f esl_wrap.* ESL.so php_ESL.* ESL.php

reswig:	swigclean esl_wrap.cpp

install: ESL.so
	cp ESL.so $(shell php-config --extension-dir)
	cp ESL.php $(shell php -r 'phpinfo();' | grep include_path | cut -d: -f2)

=== libs/esl/python/Makefile ===
LOCAL_CFLAGS=-I/usr/include/python2.4
LOCAL_LDFLAGS=-lpython2.4

all: ESL.so

esl_wrap.cpp:
	swig -module ESL -classic -python -c++ -DMULTIPLICITY -I../src/include -o esl_wrap.cpp ../ESL.i

esl_wrap.o: esl_wrap.cpp
	$(CXX) $(CXX_CFLAGS) $(CXXFLAGS) $(LOCAL_CFLAGS) -c esl_wrap.cpp -o esl_wrap.o

ESL.so: esl_wrap.o
	$(CXX) $(SOLINK) esl_wrap.o $(MYLIB) $(LOCAL_LDFLAGS) -o ESL.so -L. $(LIBS)

clean:
	rm -f *.o *.so *~

swigclean:
	rm -f esl_wrap.* ESL.so

reswig:	swigclean esl_wrap.cpp

=== libs/esl/ruby/Makefile ===
## no idea how to simply ask ruby which one to use
LOCAL_CFLAGS=-I$(shell ruby -e 'require "rbconfig"; puts RbConfig::CONFIG["topdir"]')
LOCAL_LDFLAGS=-lruby

all: ESL.so

esl_wrap.cpp:
	swig -module ESL -ruby -c++ -DMULTIPLICITY -I../src/include -o esl_wrap.cpp ../ESL.i

esl_wrap.o: esl_wrap.cpp
	$(CXX) $(CXX_CFLAGS) $(CXXFLAGS) $(LOCAL_CFLAGS) -c esl_wrap.cpp -o esl_wrap.o

ESL.so: esl_wrap.o
	$(CXX) $(SOLINK) esl_wrap.o $(MYLIB) $(LOCAL_LDFLAGS) -o ESL.so -L. $(LIBS)

clean:
	rm -f *.o *.so *~

swigclean:
	rm -f esl_wrap.* ESL.so

reswig:	swigclean esl_wrap.cpp

=== libs/xmlrpc-c/include/Makefile ===
ifeq ($(SRCDIR),)
  updir = $(shell echo $(dir $(1)) | sed 's/.$$//')
  SRCDIR := $(call updir,$(CURDIR))
  BLDDIR := $(SRCDIR)
endif
SUBDIR := include

include $(BLDDIR)/config.mk

default: all

all: xmlrpc-c/config.h

xmlrpc-c/config.h: $(BLDDIR)/$(SUBDIR)/xmlrpc-c
	>$@
	@echo "Lots of echoes to '$@' suppressed here ..."
	@echo '#ifndef XMLRPC_C_CONFIG_H_INCLUDED'                        >>$@
	@echo '#define XMLRPC_C_CONFIG_H_INCLUDED'                        >>$@
	@echo ''                                                          >>$@
	@echo '/* This file, part of XML-RPC For C/C++, is meant to '     >>$@
	@echo '   define characteristics of this particular installation '>>$@ 
	@echo '   that the other <xmlrpc-c/...> header files need in '    >>$@
	@echo '   order to compile correctly when #included in Xmlrpc-c'  >>$@
	@echo '   user code.'						  >>$@
	@echo ''                                                          >>$@
	@echo '   Those header files #include this one.'                  >>$@
	@echo ''                                                          >>$@
	@echo '   This file was created by a make rule.'                  >>$@
	@echo '*/'                                                        >>$@
	@echo '#define XMLRPC_HAVE_WCHAR $(HAVE_WCHAR_H_DEFINE)'          >>$@
	@echo '#ifdef WIN32'                                              >>$@
	@echo '  /* SOCKET is a type defined by <winsock.h>.  Anyone who' >>$@
	@echo '     uses XMLRPC_SOCKET on a WIN32 system must #include'   >>$@
	@echo '     <winsock.h>'                                          >>$@
	@echo '  */'                                                      >>$@
	@echo '  #define XMLRPC_SOCKET SOCKET'                            >>$@
	@echo '  #define XMLRPC_HAVE_TIMEVAL 0'                           >>$@
	@echo '  #define XMLRPC_HAVE_TIMESPEC 0'                          >>$@
	@echo '#else'                                                     >>$@
	@echo '  #define XMLRPC_SOCKET int'                               >>$@
	@echo '  #define XMLRPC_HAVE_TIMEVAL 1'                           >>$@
	@echo '  #define XMLRPC_HAVE_TIMESPEC 1'                          >>$@
	@echo '#endif'                                                    >>$@
	@echo ''                                                          >>$@
	@echo '#if defined(_MSC_VER)'                                     >>$@
	@echo '  /* Newer MSVC has long long, but MSVC 6 does not */'     >>$@
	@echo '  #define XMLRPC_INT64 __int64'				  >>$@
	@echo '  #define XMLRPC_INT32 __int32'				  >>$@
	@echo '#else'							  >>$@
	@echo '  #define XMLRPC_INT64 long long'	                  >>$@
	@echo '  #define XMLRPC_INT32 int'		                  >>$@
	@echo '#endif'                                                    >>$@
	@echo '#endif'                                                    >>$@

$(BLDDIR)/$(SUBDIR)/xmlrpc-c:
	mkdir $@

COMPAT_LINK_CMDS = \
  $(LN_S) xmlrpc-c/oldxmlrpc.h         xmlrpc.h; \
  $(LN_S) xmlrpc-c/server.h            xmlrpc_server.h; \
  $(LN_S) xmlrpc-c/server_abyss.h      xmlrpc_server_abyss.h; \
  $(LN_S) xmlrpc-c/server_w32httpsys.h xmlrpc_server_w32httpsys.h; \

HEADERS_TO_INSTALL = \
  xmlrpc-c/config.h \
  xmlrpc-c/inttypes.h \
  xmlrpc-c/c_util.h \
  xmlrpc-c/util.h \
  xmlrpc-c/base.h \
  xmlrpc-c/abyss.h \
  xmlrpc-c/abyss_unixsock.h \
  xmlrpc-c/abyss_winsock.h \
  xmlrpc-c/server.h \
  xmlrpc-c/server_abyss.h \
  xmlrpc-c/server_w32httpsys.h \
  xmlrpc-c/oldxmlrpc.h \

ifeq ($(ENABLE_CPLUSPLUS),yes)
  HEADERS_TO_INSTALL += \
    xmlrpc-c/oldcppwrapper.hpp \
    xmlrpc-c/girerr.hpp \
    xmlrpc-c/girmem.hpp \
    xmlrpc-c/base.hpp \
    xmlrpc-c/timeout.hpp \
    xmlrpc-c/xml.hpp \
    xmlrpc-c/registry.hpp \
    xmlrpc-c/server_abyss.hpp \
    xmlrpc-c/packetsocket.hpp \
    xmlrpc-c/server_pstream.hpp \

    COMPAT_LINK_CMDS += $(LN_S) xmlrpc-c/oldcppwrapper.hpp XmlRpcCpp.h;
endif

HEADERINST_PREFIX = /xmlrpc-c

ifeq ($(MUST_BUILD_CLIENT),yes)
  HEADERS_TO_INSTALL += \
    xmlrpc-c/client.h \
    xmlrpc-c/transport.h \
    xmlrpc-c/client_global.h \

  COMPAT_LINK_CMDS += $(LN_S) xmlrpc-c/client.h xmlrpc_client.h;

  ifeq ($(ENABLE_CPLUSPLUS),yes)
    HEADERS_TO_INSTALL += \
      xmlrpc-c/client.hpp \
      xmlrpc-c/client_transport.hpp \
      xmlrpc-c/client_simple.hpp \

  endif
endif
ifeq ($(ENABLE_CGI_SERVER),yes)
  HEADERS_TO_INSTALL += xmlrpc-c/server_cgi.h
  COMPAT_LINK_CMDS += $(LN_S) xmlrpc-c/server_cgi.h xmlrpc_cgi.h;
endif

default: all

all:

.PHONY: install-compat-hdr
install-compat-hdr:
# Install old names of header files for backward compatibility
	cd $(DESTDIR)$(HEADERINST_DIR); \
	  rm -f xmlrpc.h xmlrpc_client.h xmlrpc_server.h xmlrpc_cgi.h \
                xmlrpc_server_abyss.h xmlrpc_server_w32httpsys.h \
	        XmlRpcCpp.h; \
	  $(COMPAT_LINK_CMDS)

.PHONY: install
install: install-common install-compat-hdr

.PHONY: clean distclean dep
clean:
distclean:
	rm -f xmlrpc-c/config.h

.PHONY: check
check:

.PHONY: dep
dep:

OMIT_CONFIG_H_RULE = Y

include $(SRCDIR)/common.mk

=== libs/xmlrpc-c/tools/xmlrpc/Makefile ===
ifeq ($(SRCDIR),)
  updir = $(shell echo $(dir $(1)) | sed 's/.$$//')
  TOOLSDIR := $(call updir,$(CURDIR))
  SRCDIR := $(call updir,$(TOOLSDIR))
  BLDDIR := $(SRCDIR)
endif
SUBDIR := tools/xmlrpc

default: all

include $(BLDDIR)/config.mk

PROGRAMS_TO_INSTALL = xmlrpc

include $(SRCDIR)/tools/common.mk

INCLUDES = \
  -I../lib/include \
  -Iblddir \
  -Iblddir/include \
  -Isrcdir/include \
  -Isrcdir/lib/util/include

CFLAGS = $(CFLAGS_COMMON) $(INCLUDES) $(CFLAGS_PERSONAL) $(CADD)

LDFLAGS = $(LADD)

all: xmlrpc

UTIL_OBJS = \
  casprintf.o \
  cmdline_parser.o \
  getoptx.o \
  stripcaseeq.o \
  string_parser.o \

UTILS = $(UTIL_OBJS:%=$(UTIL_DIR)/%)

DUMPVALUE = srcdir/tools/lib/dumpvalue.o

# Can we just use $(LIBS) in the link?

LIBS = $(LIBXMLRPC_CLIENT) $(LIBXMLRPC) $(LIBXMLRPC_XML) $(LIBXMLRPC_UTIL)

XMLRPC_OBJS = xmlrpc.o $(DUMPVALUE)

xmlrpc: $(XMLRPC_OBJS) $(LIBS) $(UTILS)
	$(CCLD) -o $@ $(LDFLAGS) $(XMLRPC_OBJS) $(UTILS) $(CLIENT_LDLIBS)

%.o:%.c $(BLDDIR)/include/xmlrpc-c/config.h
	$(CC) -c $(CFLAGS) $<

# This common.mk dependency makes sure the symlinks get built before
# this make file is used for anything.

$(SRCDIR)/tools/common.mk: srcdir blddir

include Makefile.depend

.PHONY: dep
dep: dep-common

.PHONY: clean
clean: clean-common
	rm -f xmlrpc

.PHONY: distclean
distclean: clean distclean-common

=== debian/changelog ===
freeswitch (1.0.3-1) unstable; urgency=low

   * build: add targets cd-sounds[-install] and cd-moh[-install] for 48k sounds (r:11151)
   * build: autoconf detect odbc library (FSBUILD-8)
   * build: fix sound install on windows build (r:11635,11638)
   * build: fix configure --sysconfdir (FSBUILD-84)
   * build: fix uclibc build (MODLANG-99)
   * build: fix adduser in debian (FSBUILD-122, FSBUILD-102)
   * core: fix buffering issues (r:11101,11145,11152-11157,11162,11191,11200)
   * core: fix c leg no hangup when converting attended to blind transfer before b leg answers (MODENDP-165/r:11061)
   * core: fix codec and media handling issues (r:11104) 
   * core: fix double close of file handles and add recording of native files (r:11108-11113,11482,11483)
   * core: fix file resampling issue (r:11090)
   * core: fix incorrect call progress timestamps in timetable (r:11186-11187/FSCORE-268)
   * core: fix media handling issues (r:11079-11082)
   * core: fix multiple 2833 dtmf handling issues (r:11149,11261,11262,11266,11293,11294,11338/FSCORE-266,FSCORE-273)
   * core: send more event types verbos bridge,unbridge,park,unpark (r:11097-11098)
   * core: Prevent media setup on failed originates (r:11462/FSCORE-279)
   * core: fix recorded soundfiles had random data at end of file (r:11491/MODAPP-205)
   * core: fix user for windows service (r:11538/FSCORE-277)
   * core: modify variable expansion code to expand in more places and to fix potential security issue from injecting variables (r:11569,11570)
   * core: look for soundfiles in more locations based on rate (r:11601/MODFORM-23)
   * core: state machine veto behavior changed (r:11610)
   * core: add enable_file_write_buffering variable (r:11677)
   * core: fix garbled audio on media bug during bridge using stateful codecs (FSCORE-288)
   * core: fix tone detect running multiple bugs when detecting multiple tones
   * core: add {instant_ringback=true} to make ringback not wait for indication to generate ringback
   * core: fix segfault from race condition on multiple reloadxml calls (MOODAPP-211)
   * core: modify xml locking so phrases do not lock the xml for the duration of playing them
   * core: replace resampler with the speexdsp resampler
   * core: fix windows calling convention on threads launched that return a value to fix shutdown segfault (FSCORE-298)
   * core: do not auto-export origination_caller_id_* to avoid confusion (r:12052)
   * core: API visibility support (GCC/SUNCC) (FSCORE-264)
   * core: fix leak in exposed event class serialize method (r:12068)
   * core: add volume as possible return value from input callback on embedded languages (r:12114)
   * core: add resampler to seech handles (r:12141)
   * core: add api.getTime to embedded languages (r:12149)
   * freeswitch: allow you to specify -htdocs dir at runtime. (r:11614)
   * fs_cli: add "debug" command to change the esl debug level at runtime (r:11057)
   * iksemel: update to 1.3 (r:11645)
   * libesl: fix disconnect failure (r:11078,11083)
   * libesl: fix solaris build (r:11067,11068)
   * libesl: add c++ wrapper and swigged wrappers for multiple scripting languages
   * libg722_1: fix dct4.h code generator to include the "f" (r:11188-11189,11367)
   * libilbc: update to new library from Steve Underwood
   * mod_amrwb: add amr wideband passthrough codec (r:11971)
   * mod_cepstral: fix failure return code handling (MODASRTTS-9)
   * mod_conference: add 'conference xml_list' and 'conference [conf_name] xml_list' (r:11062-11063)
   * mod_conference: make conference verbose-events param to control if events have all the channel data or not (r:11073-11077)
   * mod_conference: add MINTWO flag to end conference when down to 1 participant (r:11523)
   * mod_conference: refactor conference record function (r:11626)
   * mod_conference: add conference list summary command (MODAPP-197)
   * mod_conference: fix Deadlock or coredump on conference commands play, transfer (MODAPP-209)
   * mod_dahdi_codec: added (MODCODEC-7)
   * mod_dialplan_xml: make previous auto hunt feature optional and off by defaule use auto_hunt=true session or global variable to enable (r:12144)
   * mod_dptools: Add failure_causes channel variable (r:12058)
   * mod_easyroute: add configuration file example for custom-query (r:11055)
   * mod_easyroute: add custom-query configuration option (r:11054)
   * mod_easyroute: fix build error when not configured for odbc (r:11478)
   * mod_easyroute: fix memory leak (r:11611)
   * mod_erlang_event: add ability to spawn a process (module/function) outbound on a specified node. (r:11460,11477)
   * mod_erlang_event: Fix some issues with standing up a new outbound listener and cleaning up after a failed session (r:11479)
   * mod_erlang_event: Fix setting up a listener for an outbound session if one doesn't already exist (r:11488)
   * mod_erlang_event: add "erlang" fscli command (r:11488)
   * mod_erlang_event: Monitor spawned outbound processes for premature exits (r:11489)
   * mod_erlang_event: Allow the event encoding strategy to be configurable; choices are string or binary (r:11495)
   * mod_erlang_event: Allow certain tuple elements to be binaries or strings, to reduce conversion requirements on the erlang side (r:11496)
   * mod_erlang_event: Support sending a message to a registered process to request a pid (when spawning won't cut it) (r:11499)
   * mod_erlang_event: Ensure events received while a pid session is being created aren't discarded but are queued instead (r:11500)
   * mod_erlang_event: Add freeswitch.erl - An erlang module to make talking to mod_erlang_event more painless (r:11525)
   * mod_erlang_event: use rpc:call instead of spawn and to make the registered process argument to handlecall optional (r:11542)
   * mod_event_socket: add ability to use a comma sep list of events on event-sink create-listener (r:11056)
   * mod_event_socket: add debug logging to event-sink (r:11060)


=== libs/udns/debian/changelog ===
udns (0.0.9pre) unstable; urgency=low

  * s/EOVERFLOW/ENFILE, partly to make win32 happy

  * several win32 fixes

  * don't use `class' in udns.h, to make C++ happy
    (thanks Markus Koetter for pointing this out)

  * fixed CNAME handling in dnsget tool.  Another Thank You! goes
    to Markus Koetter.

  * NAPTR (RFC3403) support, thanks to Mikael Magnusson
    <mikma at users.sourceforge.net> for this.

  * more Win32 fixes from Mikael Magnusson.  I have to admit
    I never tried to compile it on Win32.

  * added NOTES file

 -- Michael Tokarev <mjt@corpit.ru>  Wed, 29 Nov 2006 04:16:21 +0300

udns (0.0.8) unstable; urgency=low

  * don't compare sockaddr_in's, but individual parts only
    (on some OSes, there are additional fields in this structure
    so memcmp() does not quite work)

  * use dnsc_t instead of unsigned char for DNs everywhere

  * SRV records (rfc2782) parsing, thanks to
    Thadeu Lima de Souza Cascardo.

  * manpage fixes

 -- Michael Tokarev <mjt@corpit.ru>  Mon, 12 Sep 2005 16:06:45 +0400

udns (0.0.7) unstable; urgency=low

  * added dnsget.1 and rblcheck.1 manpages.

  * internal: use generic list implementation in udns_resolver.c

  * don't assume only backward DN pointers in replies, allow forward
    pointers too.  This is quite large change, involves changing
    parsing API all over the places.

  * internal: typedef dnsc_t and dnscc_t for [const] unsigned char, to
    make function prototypes shorter to better fit on a single line.

  * in parsing routines, verify (assert) that the query type
    is the one we can handle.

  * recognize names (and resolve them) as nameservers in dnsget.

  * when new request is submitted, don't send it immediately, but
    add it into the head of the active queue with deadline=0.
    This will allow us to tweak some query settings before it will
    be processed.
    Note API change: removed `now' argument from all dns_submit_*()
    routines.

  * use single per-context user timer, not per-query.
    Note API change: different user timer callback

  * add dnsc_salen field -- length of the socket address used

  * fix dns_set_opt(DNS_OPT_FLAGS) which didn't work before

  * allow to set some options for a context wich is open but with no
    active queries

 -- Michael Tokarev <mjt@corpit.ru>  Thu,  5 May 2005 23:14:29 +0400

udns (0.0.6) unstable; urgency=low

  * 0.0.6 release.
    ALOT of changes all over.  Keep 'em in CVS logs!

 -- Michael Tokarev <mjt@corpit.ru>  Fri,  8 Apr 2005 19:51:38 +0400

udns (0.0.5) unstable; urgency=low

  * Initial Release.
  * Provides 3 packages:
     libudns0 - shared library
     libudns-dev - development files and static library
     udns-utils - dnsget, rblcheck

 -- Michael Tokarev <mjt@corpit.ru>  Thu,  7 Apr 2005 00:05:24 +0400

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: freeswitch
Maintainer: Michal Bielicki <michal.bielicki@voiceworks.pl>
Section: net
Priority: extra
Build-Depends: debhelper (>= 5), fakeroot, wget, automake1.9, autoconf, libtool, unixodbc-dev, libasound2-dev, libcurl3-openssl-dev|libcurl4-openssl-dev, libssl-dev, ncurses-dev, libogg-dev, libvorbis-dev, libperl-dev, libgdbm-dev, libdb-dev, libgnutls-dev, libtiff4-dev
Standards-Version: 3.7.3

Package: freeswitch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libc6, unixodbc, libasound2, libcurl3, openssl, libncurses5, libvorbis0a
Recommends: freeswitch-lang-en
Suggests: freeswitch-spidermonkey, freeswitch-lua, freeswitch-perl, freeswitch-sounds-music-8000, monit 
Description: The FreeSWITCH open source telephony platform
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-dbg
Section: devel
Architecture: any
Depends: freeswitch (= ${Source-Version})
Description: The FreeSWITCH(TM) open source telephony platform Debug symbols
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Development Package for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-spidermonkey
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: A Javascript engine for FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: A perl engine for FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-lua
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: A lua engine for FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-codec-passthru-g7231
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Pass through g723.1 Codec support for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-codec-passthru-amr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Pass through AMR Codec support for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-codec-passthru-g729
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Pass through g729 Codec support for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-lang-en
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Recommends: freeswitch-sounds-en-us-callie-8000
Suggests: freeswitch-sounds-en-us-callie-16000, freeswitch-sounds-en-us-callie-32000
Description: English language files for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-sounds-en-us-callie-8000
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: English language files for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-sounds-music-8000
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Music on hold files for the FreeSWITCH(TM) (8000)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-sounds-en-us-callie-16000
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: English language files for the FreeSWITCH(TM) (16000)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-sounds-en-us-callie-32000
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: English language files for the FreeSWITCH(TM) (32000)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-lang-de
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: German language files for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-lang-fr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: French language files for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-lang-it
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Italian language files for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-lang-es
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Spanish language files for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-lang-nl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Dutch language files for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

=== libs/spandsp/debian/control ===
Source: spandsp
Section: libs
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Kilian Krause <kilian@debian.org>, Santiago Garcia Mantinan <manty@debian.org>, Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir.cohen@xorcom.com>, Santiago Ruano Rincón <santiago@debian.org>
Build-Depends: debhelper (>= 4.0.0), libtiff4-dev, libjpeg62-dev, dpatch, doxygen, autotools-dev, xsltproc
Standards-Version: 3.7.2
XS-Vcs-Svn: svn://svn.debian.org/pkg-voip/
XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/

Package: libspandsp5
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libspandsp0, libspandsp1, libspandsp2
Description: Telephony signal processing library
 This is a low-level signal processing library that modulate and demodulate
 signals commonly used in telephony, such as the "noise" generated by a
 fax modem or DTMF touchpad.
 .
 This package contains the shared library.

Package: libspandsp-dev
Section: libdevel
Architecture: any
Depends: libspandsp5 (= ${Source-Version}), libtiff4-dev, libjpeg62-dev
Description: Telephony signal processing library
 This is a low-level signal processing library that modulate and demodulate
 signals commonly used in telephony, such as the "noise" generated by a
 fax modem or DTMF touchpad.
 .
 This package contains the static library and development headers.
 .
 Homepage: http://www.soft-switch.org/

Package: libspandsp-doc
Section: doc
Architecture: all
Description: Documentation for the spandsp signal processing library
 This package contains the online API in HTML for the libspandsp, a low
 level signal processing library that modulate and demodulate siignals
 commonly used in telephony, such as the "noise" generated by a fax
 modem or DTMF touchpad.

=== scripts/socket/FreeSWITCH/debian/control ===
Source: libfreeswitch-client-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: perl (>= 5.8.0-7), libmodule-install-perl,
 libmodule-scandeps-perl (>= 0.51), libarchive-zip-perl,
 libpar-dist-perl (>= 0.07), libdigest-sha1-perl, libmodule-signature-perl,
 libgetopt-argvfile-perl (>= 1.06), gnupg, libinline-perl, libtest-pod-perl
Maintainer: Massimo Cetra <devel@navynet.it>

Package: libfreeswitch-client-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libmodule-scandeps-perl (>=  0.51), libio-socket-ssl-perl (>= 0.97)
Recommends: gnupg, libmodule-signature-perl, libpar-packer-perl
Description: FreeSWITCH Client perl library
    FreeSWITCH perl client library

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
export DH_OPTIONS
export DH_COMPAT=4
export DEB_DH_INSTALL_SOURCEDIR=debian/tmp
export PASSTHRU_CODEC_MODULES=codecs/mod_g729 codecs/mod_g723_1 codecs/mod_amr
export SPIDERMONKEY_MODULES=languages/mod_spidermonkey languages/mod_spidermonkey_core_db languages/mod_spidermonkey_odbc \
			    languages/mod_spidermonkey_socket languages/mod_spidermonkey_teletone
export APPLICATIONS_MODULES=applications/mod_commands applications/mod_conference applications/mod_dptools applications/mod_enum \
			    applications/mod_esf applications/mod_expr applications/mod_fifo applications/mod_limit \
			    applications/mod_rss applications/mod_voicemail applications/mod_fsv \
			    applications/mod_fax
export ASR_TTS_MODULES=
export CODECS_MODULES=codecs/mod_ilbc codecs/mod_h26x codecs/mod_speex codecs/mod_voipcodecs codecs/mod_siren codecs/mod_celt
export DIALPLANS_MODULES=dialplans/mod_dialplan_asterisk dialplans/mod_dialplan_directory dialplans/mod_dialplan_xml
export DIRECTORIES_MODULES=
export DOTNET_MODULES=
export ENDPOINTS_MODULES=endpoints/mod_dingaling endpoints/mod_iax endpoints/mod_portaudio endpoints/mod_sofia \
			 endpoints/mod_loopback ../../libs/openzap/mod_openzap
export EVENT_HANDLERS_MODULES=event_handlers/mod_event_multicast event_handlers/mod_event_socket event_handlers/mod_cdr_csv
export FORMATS_MODULES=formats/mod_local_stream formats/mod_native_file formats/mod_sndfile formats/mod_tone_stream formats/mod_shout
export LANGUAGES_MODULES=languages/mod_perl languages/mod_lua
export LOGGERS_MODULES=loggers/mod_console loggers/mod_logfile loggers/mod_syslog
export SAY_MODULES=say/mod_say_en say/mod_say_it say/mod_say_de say/mod_say_fr say/mod_say_es say/mod_say_nl
export TIMERS_MODULES=
export DISABLED_MODULES=applications/mod_soundtouch directories/mod_ldap languages/mod_java languages/mod_python \
			languages/mod_spidermonkey_skel ast_tts/mod_cepstral asr_tts/mod_lumenvox endpoints/mod_wanpipe \
			event_handlers/mod_event_test event_handlers/mod_radius_cdr event_handlers/mod_zeroconf
export XML_INT_MODULES=xml_int/mod_xml_rpc  xml_int/mod_xml_curl xml_int/mod_xml_cdr
export MYMODULES=$(PASSTHRU_CODEC_MODULES) $(SPIDERMONKEY_MODULES) $(APPLICATIONS_MODULES) $(ASR_TTS_MODULES) $(CODECS_MODULES) $(DIALPLANS_MODULES) $(DIRECTORIES_MODULES) $(DOTNET_MODULES) $(ENDPOINTS_MODULES) $(EVENT_HANDLERS_MODULES) $(FORMATS_MODULES) $(LANGUAGES_MODULES) $(LOGGERS_MODULES) $(SAY_MODULES) $(TIMERS_MODULES) $(XML_INT_MODULES)
export MODULES=$(MYMODULES)

ifndef AUTOCONF
	AUTOCONFS := $(wildcard /usr/bin/autoconf*)
	AUTOCONF = $(shell which autoconf)
ifneq (,$(findstring 2.50,${AUTOCONFS}))
	AUTOCONF = /usr/bin/autoconf2.50
endif
endif

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -ggdb

FEATURES = --enable-core-libedit-support --enable-core-odbc-support --with-libcurl --with-openssl

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	FEATURES += --disable-optimization
endif

config.status: configure
	dh_testdir
	rm -f modules.conf
	touch modules.conf
	echo $(MODULES)
	for i in $(MODULES); do echo $$i >> modules.conf; done
	./configure --prefix=/opt/freeswitch --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) ${FEATURES}

configure:
	if test ! -f Makefile.in ;  then \
	    if test -f ./bootstrap.sh ; then \
		AUTOCONF=${AUTOCONF} ./bootstrap.sh ; \
	    else \
		echo "No Makefile.in and no known way to bootstrap." ; \
		exit 1; \
	    fi; \
	fi;

build: build-stamp
build-stamp:  config.status
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	-$(MAKE) update-clean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub build/config/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess build/config/config.guess
endif
	rm -f config.status
	rm -f */*/config.status
	rm -f */*/*/config.status
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -A --sourcedir=debian/tmp

	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install uhd-sounds-install moh-install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installinit --sourcedir=debian/tmp
	cp debian/monit/freeswitch.monitrc debian/freeswitch/etc/monit/freeswitch.monitrc
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip --dbg-package=freeswitch
	dh_compress
	dh_fixperms --exclude /opt/freeswitch/conf
	dh_installdeb
	dh_shlibdeps --exclude=/opt/freeswitch
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== libs/voipcodecs/debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
http://soft-switch.org/downloads/voipcodecs/ voipcodecs-(.*)\.tgz debian svn-upgrade
